Skip to main content
GET
/
v1
/
deployments
/
{deploymentId}
/
workbooks
Get workbooks
curl --request GET \
  --url https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/workbooks \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "calculatedFields": {},
      "createdAt": "2023-12-25",
      "deploymentId": 123,
      "id": 123,
      "meta": {},
      "name": "<string>",
      "updatedAt": "2023-12-25",
      "createdBy": 123,
      "dashboardDraft": {
        "description": "<string>",
        "layout": {
          "breakpoints": {
            "lg": 123,
            "md": 123,
            "sm": 123,
            "xs": 123,
            "xxs": 123
          },
          "cols": {
            "lg": 123,
            "md": 123,
            "sm": 123,
            "xs": 123,
            "xxs": 123
          },
          "containerPadding": [
            123
          ],
          "margin": [
            123
          ],
          "rowHeight": 123
        },
        "settings": {},
        "theme": {},
        "title": "<string>",
        "widgets": [
          {
            "id": "<string>",
            "position": {
              "h": 123,
              "w": 123,
              "x": 123,
              "y": 123
            },
            "config": {},
            "responsiveLayouts": {
              "lg": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "md": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "sm": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "xs": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "xxs": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              }
            },
            "style": {}
          }
        ]
      },
      "dashboardPublished": {
        "description": "<string>",
        "layout": {
          "breakpoints": {
            "lg": 123,
            "md": 123,
            "sm": 123,
            "xs": 123,
            "xxs": 123
          },
          "cols": {
            "lg": 123,
            "md": 123,
            "sm": 123,
            "xs": 123,
            "xxs": 123
          },
          "containerPadding": [
            123
          ],
          "margin": [
            123
          ],
          "rowHeight": 123
        },
        "settings": {},
        "theme": {},
        "title": "<string>",
        "widgets": [
          {
            "id": "<string>",
            "position": {
              "h": 123,
              "w": 123,
              "x": 123,
              "y": 123
            },
            "config": {},
            "responsiveLayouts": {
              "lg": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "md": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "sm": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "xs": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "xxs": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              }
            },
            "style": {}
          }
        ]
      },
      "folderId": 123,
      "isFavorite": true,
      "publishedDashboard": {
        "allowEmbed": true,
        "config": {
          "description": "<string>",
          "layout": {
            "breakpoints": {
              "lg": 123,
              "md": 123,
              "sm": 123,
              "xs": 123,
              "xxs": 123
            },
            "cols": {
              "lg": 123,
              "md": 123,
              "sm": 123,
              "xs": 123,
              "xxs": 123
            },
            "containerPadding": [
              123
            ],
            "margin": [
              123
            ],
            "rowHeight": 123
          },
          "settings": {},
          "theme": {},
          "title": "<string>",
          "widgets": [
            {
              "id": "<string>",
              "position": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "config": {},
              "responsiveLayouts": {
                "lg": {
                  "h": 123,
                  "w": 123,
                  "x": 123,
                  "y": 123
                },
                "md": {
                  "h": 123,
                  "w": 123,
                  "x": 123,
                  "y": 123
                },
                "sm": {
                  "h": 123,
                  "w": 123,
                  "x": 123,
                  "y": 123
                },
                "xs": {
                  "h": 123,
                  "w": 123,
                  "x": 123,
                  "y": 123
                },
                "xxs": {
                  "h": 123,
                  "w": 123,
                  "x": 123,
                  "y": 123
                }
              },
              "style": {}
            }
          ]
        },
        "deploymentId": 123,
        "id": 123,
        "publicId": "<string>",
        "reportSnapshots": [
          {
            "id": 123,
            "reportId": 123,
            "versionNumber": 123,
            "description": "<string>",
            "meta": {},
            "name": "<string>",
            "preferences": {
              "columnFormats": {}
            },
            "spec": "<string>",
            "sqlQuery": "<string>",
            "title": "<string>"
          }
        ],
        "versionId": 123,
        "versionNumber": 123,
        "workbookId": 123,
        "createdBy": 123,
        "description": "<string>",
        "title": "<string>"
      },
      "userId": 123
    }
  ],
  "items": [
    {
      "calculatedFields": {},
      "createdAt": "2023-12-25",
      "deploymentId": 123,
      "id": 123,
      "meta": {},
      "name": "<string>",
      "updatedAt": "2023-12-25",
      "createdBy": 123,
      "dashboardDraft": {
        "description": "<string>",
        "layout": {
          "breakpoints": {
            "lg": 123,
            "md": 123,
            "sm": 123,
            "xs": 123,
            "xxs": 123
          },
          "cols": {
            "lg": 123,
            "md": 123,
            "sm": 123,
            "xs": 123,
            "xxs": 123
          },
          "containerPadding": [
            123
          ],
          "margin": [
            123
          ],
          "rowHeight": 123
        },
        "settings": {},
        "theme": {},
        "title": "<string>",
        "widgets": [
          {
            "id": "<string>",
            "position": {
              "h": 123,
              "w": 123,
              "x": 123,
              "y": 123
            },
            "config": {},
            "responsiveLayouts": {
              "lg": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "md": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "sm": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "xs": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "xxs": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              }
            },
            "style": {}
          }
        ]
      },
      "dashboardPublished": {
        "description": "<string>",
        "layout": {
          "breakpoints": {
            "lg": 123,
            "md": 123,
            "sm": 123,
            "xs": 123,
            "xxs": 123
          },
          "cols": {
            "lg": 123,
            "md": 123,
            "sm": 123,
            "xs": 123,
            "xxs": 123
          },
          "containerPadding": [
            123
          ],
          "margin": [
            123
          ],
          "rowHeight": 123
        },
        "settings": {},
        "theme": {},
        "title": "<string>",
        "widgets": [
          {
            "id": "<string>",
            "position": {
              "h": 123,
              "w": 123,
              "x": 123,
              "y": 123
            },
            "config": {},
            "responsiveLayouts": {
              "lg": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "md": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "sm": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "xs": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "xxs": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              }
            },
            "style": {}
          }
        ]
      },
      "folderId": 123,
      "isFavorite": true,
      "publishedDashboard": {
        "allowEmbed": true,
        "config": {
          "description": "<string>",
          "layout": {
            "breakpoints": {
              "lg": 123,
              "md": 123,
              "sm": 123,
              "xs": 123,
              "xxs": 123
            },
            "cols": {
              "lg": 123,
              "md": 123,
              "sm": 123,
              "xs": 123,
              "xxs": 123
            },
            "containerPadding": [
              123
            ],
            "margin": [
              123
            ],
            "rowHeight": 123
          },
          "settings": {},
          "theme": {},
          "title": "<string>",
          "widgets": [
            {
              "id": "<string>",
              "position": {
                "h": 123,
                "w": 123,
                "x": 123,
                "y": 123
              },
              "config": {},
              "responsiveLayouts": {
                "lg": {
                  "h": 123,
                  "w": 123,
                  "x": 123,
                  "y": 123
                },
                "md": {
                  "h": 123,
                  "w": 123,
                  "x": 123,
                  "y": 123
                },
                "sm": {
                  "h": 123,
                  "w": 123,
                  "x": 123,
                  "y": 123
                },
                "xs": {
                  "h": 123,
                  "w": 123,
                  "x": 123,
                  "y": 123
                },
                "xxs": {
                  "h": 123,
                  "w": 123,
                  "x": 123,
                  "y": 123
                }
              },
              "style": {}
            }
          ]
        },
        "deploymentId": 123,
        "id": 123,
        "publicId": "<string>",
        "reportSnapshots": [
          {
            "id": 123,
            "reportId": 123,
            "versionNumber": 123,
            "description": "<string>",
            "meta": {},
            "name": "<string>",
            "preferences": {
              "columnFormats": {}
            },
            "spec": "<string>",
            "sqlQuery": "<string>",
            "title": "<string>"
          }
        ],
        "versionId": 123,
        "versionNumber": 123,
        "workbookId": 123,
        "createdBy": 123,
        "description": "<string>",
        "title": "<string>"
      },
      "userId": 123
    }
  ],
  "count": 1,
  "pageInfo": {
    "hasNextPage": true,
    "hasPreviousPage": true,
    "endCursor": "<string>",
    "startCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Send Authorization: Api-Key <YOUR_API_KEY>.

Path Parameters

deploymentId
number
required

Query Parameters

folderId
integer | null
Required range: x >= 0
after
string | null
first
integer | null
Required range: x >= 1

Response

200 - application/json
data
object[]
required
items
object[]
required
count
integer | null
Required range: x >= 0
pageInfo
object